package com.example.my.androidupload;

import android.os.Environment;
import android.os.Looper;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import java.io.File;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private Button mBtnUpload;

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_upload: {
                new Thread(new Runnable() {
                    @Override
                    public void run() {
                        HttpClientUtil httpClient = new HttpClientUtil();
                        HttpClientUtil.MultipartForm form = httpClient.new MultipartForm();
                        //设置form属性、参数
                        form.setAction("http://192.168.1.5:9001/api/Mobile/FileUpload/UploadFile");
                        String path= Environment.getExternalStorageDirectory().getPath()+"/DCIM" + "/20151120_051052.jpg";
                        Log.e("11", path);
                        File file = new File(path);
                        form.addFileField("file", file);
                        form.addNormalField("ID", "301201604");
                        String resultcode = httpClient.submitForm(form);

                        Log.e("上传结果：",resultcode);
                    }
                }).start();

                break;
            }
        }
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        mBtnUpload = (Button) findViewById(R.id.btn_upload);
        mBtnUpload.setOnClickListener(this);
    }
}
